#ifndef __GTK_MDI_TASKBAR_H__
#define __GTK_MDI_TASKBAR_H__

#include <gtk/gtk.h>

#include "gtkmdi.h"

#define GTK_MDI_TASKBAR_TYPE (gtk_mdi_taskbar_get_type())
#define GTK_MDI_TASKBAR(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), GTK_MDI_TASKBAR_TYPE, GtkMdiTaskBar))
#define GTK_MDI_TASKBAR_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), GTK_MDI_TASKBAR_TYPE, GtkMdiTaskBarClass))
#define GTK_IS_MDI_TASKBAR(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), GTK_MDI_TASKBAR_TYPE))
#define GTK_IS_MDI_TASKBAR_CLASS(obj) (G_TYPE_CHECK_CLASS_TYPE ((klass), GTK_MDI_TASKBAR_TYPE))
#define GTK_MDI_TASKBAR_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), GTK_MDI_TASKBAR_TYPE, GtkMdiTaskBarClass))

typedef struct _GtkMdiTaskBar GtkMdiTaskBar;
typedef struct _GtkMdiTaskBarClass GtkMdiTaskBarClass;

struct _GtkMdiTaskBarClass
{
	GtkToolbarClass parent_class;
};

GType		gtk_mdi_taskbar_get_type (void);
GtkWidget	* gtk_mdi_taskbar_new (GtkMdi *mdi);
void		gtk_mdi_taskbar_append_window (GtkMdiTaskBar *bar,
						GtkMdiWindow *window);
void		gtk_mdi_taskbar_remove_window (GtkMdiTaskBar *bar,
						GtkMdiWindowId id);

#endif /*  __GTK_MDI_TASKBAR_TASKBAR_H__ */
